from django.contrib import admin
from django.urls import include, path

from .views import auth, edit_blog, index, user, view_blog, write

urlpatterns = [
    path("", index),
    path("auth/", auth),
    path("create/", write),
    path("blog/<str:username>/", user),
    path("blog/<str:username>/<str:url>/", view_blog),
    path("blog/<str:username>/<str:url>/edit/", edit_blog),
    path("static/", include("tblog.views.static")),
    path("django-admin/", admin.site.urls)
]
